Package org.drinkless.tdlib

# Class TdApi.ToggleSupergroupHasHiddenMembers

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ToggleSupergroupHasHiddenMembers

Enclosing class:
  `TdApi`

public static class TdApi.ToggleSupergroupHasHiddenMembers extends TdApi.Function<TdApi.Ok>
Toggles whether non-administrators can receive only administrators and bots using getSupergroupMembers or searchChatMembers. Can be called only if supergroupFullInfo.canHideMembers == true.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `hasHiddenMembers`
  New value of hasHiddenMembers.
  `long`
  `supergroupId`
  Identifier of the supergroup.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToggleSupergroupHasHiddenMembers()`
  Default constructor for a function, which toggles whether non-administrators can receive only administrators and bots using getSupergroupMembers or searchChatMembers.
  `ToggleSupergroupHasHiddenMembers(long supergroupId, boolean hasHiddenMembers)`
  Creates a function, which toggles whether non-administrators can receive only administrators and bots using getSupergroupMembers or searchChatMembers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### supergroupId

    public long supergroupId
    Identifier of the supergroup.

  - ### hasHiddenMembers

    public boolean hasHiddenMembers
    New value of hasHiddenMembers.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ToggleSupergroupHasHiddenMembers

    public ToggleSupergroupHasHiddenMembers()
    Default constructor for a function, which toggles whether non-administrators can receive only administrators and bots using getSupergroupMembers or searchChatMembers. Can be called only if supergroupFullInfo.canHideMembers == true.

    Returns `Ok`

  - ### ToggleSupergroupHasHiddenMembers

    public ToggleSupergroupHasHiddenMembers(long supergroupId, boolean hasHiddenMembers)
    Creates a function, which toggles whether non-administrators can receive only administrators and bots using getSupergroupMembers or searchChatMembers. Can be called only if supergroupFullInfo.canHideMembers == true.

    Returns `Ok`

    Parameters:
      `supergroupId` - Identifier of the supergroup.
      `hasHiddenMembers` - New value of hasHiddenMembers.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR